package net.user1.prefs {
  import net.user1.utils.LocalData;
  import flash.utils.*;

  /**
   * Remembers specified preference data for a specified class. Used
   * primarily to store user interface settings between application sessions. 
   */
  public class Preferences {
    private var id:String;

    public function Preferences (classReference:Class) {
      // Use the class's name as the id, but change ActionScript's
      // package/class separator from "::" to a "." (because 
      // shared object names can't contain ":")
      id = getQualifiedClassName(classReference).replace("::", ".");
    }    

    public function putPref (name:String, value:Object):void {
      LocalData.write(id, name, value);
    }
    
    public function getPref (name:String):Object {
      return LocalData.read(id, name);        
    }
  }
}