package net.user1.reactor.ui {
  import flash.events.MouseEvent;
  
  import mx.controls.Alert;
  import mx.events.CloseEvent;
  
  import net.user1.reactor.IClient;

  public class BanClientPane extends BanBase {
    protected var _client:IClient;
    
    public function BanClientPane () {
    }
    
// =============================================================================
// DEPENDENCIES
// =============================================================================
    
    /**
     * Sets the client reference.
     * 
     * @since ReactorGUI 1.0.0
     */
    public function set client (client:IClient):void {
      _client = client;
    }
    
    /**
     * Returns the client reference.
     * 
     * @since ReactorGUI 1.0.0
     */
    public function get client ():IClient {
      return _client;
    }
    
// =============================================================================
// UI LISTENERS
// =============================================================================
    
    override public function banClickListener (e:MouseEvent):void {
      var reason:String = reasonTextInput.text == "" ? "Banned via Union Admin" : reasonTextInput.text;
      var duration:int = foreverCheckbox.selected 
                         ? int.MAX_VALUE 
                         : durationCombo.selectedItem.data * durationUnitsCombo.selectedItem.data;
      
      _client.ban(duration, reason);
    }
  
//==============================================================================
// DISPOSAL
//==============================================================================
    
    /**
     * Disposes of the resources used by this object, preparing it for garbage
     * collection.
     * 
     * @since ReactorGUI 1.0.0
     */    
    public function dispose ():void {
      _client = null;
    }
  }
}