package net.user1.reactor.ui {
  import flash.display.GradientType;
  import flash.display.Graphics;
  import flash.filters.DropShadowFilter;
  
  import mx.core.UIComponent;
    
  /**
   * A sphere graphic used as the "connected light" by the 
   * ConnectionStatusPane class.
   * 
   * @since ReactorGUI 1.0.0
   */ 
  public class Orb extends UIComponent {
// =============================================================================
// CONSTRUCTOR
// =============================================================================      
    public function Orb (strokeLight:uint, strokeDark:uint,
                         fillLight:uint, fillDark:uint) {
      var g:Graphics = graphics;
      g.lineStyle(1);
      g.lineGradientStyle(GradientType.RADIAL, [strokeLight, strokeDark], [1,1],[0,30]);
      g.beginGradientFill(GradientType.RADIAL,[fillLight, fillDark], [1,1],[0,30]);
      g.drawCircle(0, 0, 4);
      var shadow:DropShadowFilter = new DropShadowFilter(2, 45, 0, .5, 3, 3, .6);
      filters = [shadow];
    }
  }
}